BEGIN WQXT1

IF~Global("WQxTower1","GLOBAL",0)~THEN BEGIN WQXT1000
SAY @0 /* I heard the alarm, but I didn't think you would reach the tower. You must have killed our necromancer then. */
IF~~THEN REPLY @1 /* He's dead. The Queen will join him in death quite soon. */ GOTO WQXT1001
IF~~THEN REPLY @2 /* You can join him if you want. */ GOTO WQXT1001
IF~~THEN REPLY @3 /* Can't we just start the fight? We both know there is no other way. */ GOTO WQXT1001
END

IF~~THEN BEGIN WQXT1001
SAY @4 /* Eh, I do not understand. Our Queen just wished for some peace. You are as worthless as all the villagers. */
IF~~THEN DO ~SetGlobal("WQxTower1","GLOBAL",1) Enemy()~ EXIT
END